<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">

    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

    <!-- Popper JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>

    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
        
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
    <script src="sc1.js"></script>
  <script src='https://kit.fontawesome.com/a076d05399.js'></script> 
 

</head>
<body onload="loadRecords()">
    <!-- <div style="border-top-left-radius: 15px;border-bottom-left-radius: 15px; width: 100px; height: 30px; background-color: grey;"></div> -->
    <!-- <div class="d-inline-flex p-3 bg-secondary text-white">
        <div class="p-2 bg-info">Flex item 1</div>
        <div class="p-2 bg-warning">Flex item 2</div>
        <div class="p-2 bg-primary">Flex item 3</div>
      </div> -->
    <div class="container" >
        <table class="table" id="" style="text-align: center;">
            <thead style="background-color:lightgray; color:black; font-family:Times New Roman; font-size:130%;">
              <tr>
                <th><div class="flex-fill" style="">Name</div></th>
                <th><div class="flex-fill" style="">Age</div></th>
                <th><div class="flex-fill" style="">Gender</div></th>
                <th><div class="flex-fill" style="">Weight</div></th>
                <th><div class="flex-fill" style="">Height</div></th>
                <th><div>Favorite foods</div></th>
                <th><div class="flex-fill" style="">BMI</div></th>
                <th colspan="2"><div class="flex-fill" id="content" style="">
                </div></th>
            </tr>
            </thead>
            <tbody id="records-table" >
              <!-- <tr style="background-color: grey;">
                <td id="name">Arvind</td>
                <td id="age">22</td>
                <td id="gender">Male</td>
                <td id="weight">75</td>
                <td id="height">180</td>
                <td id="bmi">23</td>
                <td id="edit"><button class="btn-primary" onclick="editRecord(this)" id="b"style="">Edit</button></td>
                <td id="delete"><button class="btn-primary" onclick="deleteRecord(this)" id="b"style="">Delete</button></td>
              </tr> -->
            </tbody>
          </table>
          <!-- <div id="demo" class="collapse">
            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit,
              sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
              quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.<p>
          </div> -->

          

          <template>
            <tr>
              <td id="name"></td>
              <td id="age"></td>
              <td id="gender"></td>
              <td id="weight"></td>
              <td id="height"></td>
              <td id="favorite-foods"></td>
              <td id="bmi"><span id="bmi-text"></span></td>
              <td id="btn1"><button class="btn-primary edit-btn" onclick="editRecord(this)" id="b" style="font-weight: 100;margin-right: 4px;">Edit</button></td>
              <td id="btn2"><button class="btn delete-btn" onclick="deleteRecord(this)" id="b" ><span class="fas fa-trash-alt" style="font-weight: 100;margin-right: 4px;background-color:gray;"></span>Delete</button></td>
            </tr>
          </template>

          <template id="gender-template">
            <div>
              <!-- <button class=" dropdown-toggle btn btn-secondary dropdown-toggle" type="" data-toggle="dropdown">Gender
                <span class="caret"></span></button> -->
                <label><b><i style="color:grey;">choose Gender:</i></b></label>
              <select name="" id="gender">  
              <option id="male" value="Male">Male</option>
              <option id="female" value="Female">Female</option>
            </select>
            </div>
          </template>

          <template id="favfoods-template">
            <div id="fav-foods" class="dropdown dropdown-styling">
              <button class=" dropdown-toggle btn btn-secondary dropdown-toggle" type="" data-toggle="dropdown"><i>Favorite foods</i>
              <span class="caret"></span></button>
              <!-- <label for="piza">alskdjf</label> -->
              <ul class="dropdown-menu">
                <div ></li><label for="pizza"><input type="checkbox" name="pizza" id="pizza" name="" value="1"> <b>Indian</b></label> </li>
                <li><label for="biryani"><input type="checkbox" name="biryani" id="biryani" name="" value="2"> <b>Chinese</b></label></li>
                <li><label for="fast-food"><input type="checkbox" name="fast-food" id="fast-food" name="" value="3"><b>Italian</b></label></li>
              </ul>
            </div>

          </template>

    </div>
    <style>

      /* .dropdown-styling{
        padding: ;
        border:1px solid blue;
      } */

      .clear-records-btn-styling{
        /* text-align: right; */
        width: 25%;
         padding:5px; 
        height: 2%;
        font-weight: 600;
        font-size: 14px;
        /* padding-top: 1%; */
      }
      .delete-btn:hover{
        background-color:grey;
        
      }

      .delete-btn{
        padding: 0;
        background-color:grey;
        /* color: gray; */
      }

      .edit-btn{

      }

      #clear-all-records-btn-span{
        margin-left: 10px;
        
        
      }

      #b:focus{
          outline: none;
      }

      .when-editing{
        background-color: white;
        
      }

      #b{
        
        border:0;
        height: 30px; 
        padding-left: 10px;
        padding-right: 10px;
        width:90px; 
        border-top-left-radius: 15px; 
        border-bottom-left-radius: 15px; 
        box-shadow: none; 
        border-top-right-radius: 15px; 
        border-bottom-right-radius: 15px;
      }
  </style>


    <script>
    </script>
</body>
</html>